Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# OctetSeqC.cpp File Reference

`#include "OctetSeqC.h"`
`#include "OctetSeqC.i"`
`#include "Any.h"`
`#include "CDR.h"`
`#include "Typecode.h"`
`#include "ORB_Core.h"`

Include dependency graph for OctetSeqC.cpp:

## Defines
#define | _CORBA_OCTETSEQ_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_CORBA_OctetSeq (CORBA::tk_alias, sizeof (_oc_CORBA_OctetSeq), (char *) &_oc_CORBA_OctetSeq, 0, sizeof (CORBA_OctetSeq))
void | operator<<= (CORBA::Any &_tao_any, CORBA_OctetSeq *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA_OctetSeq *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA_OctetSeq *&_tao_elem)
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const CORBA_OctetSeq &_tao_sequence )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, CORBA_OctetSeq &_tao_sequence )
## Variables
const CORBA::Long | _oc_CORBA_OctetSeq []

## Define Documentation

#define _CORBA_OCTETSEQ_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_CORBA_OctetSeq ( | CORBA::tk_alias,
| sizeof(_oc_CORBA_OctetSeq),
| (char *)& _oc_CORBA_OctetSeq,
| 0,
| sizeof(CORBA_OctetSeq) )`[static]`

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA_OctetSeq & _tao_sequence )

void operator<<= ( | CORBA::Any & _tao_any,
| CORBA_OctetSeq * _tao_elem )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA_OctetSeq & _tao_sequence )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const CORBA_OctetSeq *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| CORBA_OctetSeq *& _tao_elem )

## Variable Documentation

const CORBA::Long _oc_CORBA_OctetSeq[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      31, ACE_NTOHL (0x49444c3a), ACE_NTOHL (0x6f6d672e), ACE_NTOHL (0x6f72672f), ACE_NTOHL (0x434f5242), ACE_NTOHL (0x412f4f63), ACE_NTOHL (0x74657453), ACE_NTOHL (0x65713a31), ACE_NTOHL (0x2e300000),
      9, ACE_NTOHL (0x4f637465), ACE_NTOHL (0x74536571), ACE_NTOHL (0x0),
      CORBA::tk_sequence,
      12,
        TAO_ENCAP_BYTE_ORDER,
        CORBA::tk_octet,

        0U,

    }